IPCGET(9)

NAME
ipcget - Common sys_*get code

SYNOPSIS

int ipcget(struct ipc_namespace * ns, struct ipc_ids * ids, const struct ipc_ops * ops, struct ipc_params * params);

ARGUMENTS

ns
    namespace

ids
    ipc identifier set

ops
    operations to be called on ipc object creation, permission checks and further checks

params
    the parameters needed by the previous operations.

DESCRIPTION

Common routine called by sys_msgget, sys_semget and sys_shmget.

COPYRIGHT